%define upstream_name    CPAN-Meta-YAML
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Read and write a subset of YAML for CPAN Meta files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements a subset of the YAML specification for use in
reading and writing CPAN metadata files like _META.yml_ and _MYMETA.yml_.
It should not be used for any other general YAML parsing or generation
task.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 0.8.0-6.mga3
+ Revision: 405463
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-5.mga3
+ Revision: 363614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.8.0-4.mga3
+ Revision: 315116
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.8.0-3.mga3
+ Revision: 294957
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.8.0-2.mga3
+ Revision: 284581
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.8.0-1.mga3
+ Revision: 254102
- update to 0.008

* Wed Feb 22 2012 kharec <kharec> 0.7.0-1.mga2
+ Revision: 211944
- update to 0.007

* Thu Dec 15 2011 jquelin <jquelin> 0.5.0-1.mga2
+ Revision: 181838
- update to 0.005

* Fri Nov 04 2011 jquelin <jquelin> 0.4.0-2.mga2
+ Revision: 162788
- take priority over module bundled with perl 5.14.2

* Sun Sep 18 2011 takashi <takashi> 0.4.0-1.mga2
+ Revision: 144761
- removing old CPAN-Meta-YAML-0.003.tar.gz
- update to 0.004

* Mon Jan 31 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 45191
- imported package perl-CPAN-Meta-YAML


* Mon Jan 31 2011 cpan2dist 0.003-1mdv
- initial mdv release, generated with cpan2dist
